﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Paddle : MonoBehaviour {

	public bool autoPlay = false;

	private Ball ball;

	void Start(){
		ball = GameObject.FindObjectOfType<Ball> ();
		print (ball);
	}

	
	// Update is called once per frame
	void Update () {
		if (autoPlay == false) {
			MoveWithMouse ();
		}else{
			AutoPlay();
		}
	}

	void AutoPlay(){
		Vector3 paddlePos = new Vector3 (46f, this.transform.position.y, 0f);
		Vector3 ballPos = ball.transform.position;
		paddlePos.x = Mathf.Clamp(ballPos.x, 40f, 560f);
		this.transform.position = paddlePos;
	}

	 
	void MoveWithMouse(){
		Vector3 paddlePos = new Vector3 (46f, this.transform.position.y, 0f);
		float mousePosInBlocks =  (Input.mousePosition.x);
		paddlePos.x = Mathf.Clamp(mousePosInBlocks - 135, 40f, 560f);
		this.transform.position = paddlePos;
	}
}
